#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EServerFlags {
    None = 0,
    Active = 1,
    Secure = 2,
    Dedicated = 4,
    Linux = 8,
    Passworded = 16,
    Private = 32,
}

impl EServerFlags {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Active as i32 => Some(Self::Active),
            x if x == Self::Secure as i32 => Some(Self::Secure),
            x if x == Self::Dedicated as i32 => Some(Self::Dedicated),
            x if x == Self::Linux as i32 => Some(Self::Linux),
            x if x == Self::Passworded as i32 => Some(Self::Passworded),
            x if x == Self::Private as i32 => Some(Self::Private),
            _ => None,
        }
    }
}
